XDR_ENTER_PAGE(9)

NAME
xdr_enter_page - decode data from the XDR page

SYNOPSIS

void xdr_enter_page(struct xdr_stream * xdr, unsigned int len);

ARGUMENTS

xdr
    pointer to xdr_stream struct

len
    number of bytes of page data

DESCRIPTION

Moves data beyond the current pointer position from the XDR head[] buffer into the page list. Any data that lies beyond current position + “len” bytes is moved into the XDR tail[]. The current pointer is then repositioned at the beginning of the first XDR page.

COPYRIGHT